#!/bin/bash
#wget -q -P /tmp/ --no-check-certificate http://www.meintechblog.de/download/plexinstall/plexupdateInstall.zip && sudo unzip plexupdateInstall.zip && sudo chmod +x /tmp/plexupdateInstall.sh && sudo /tmp/plexupdateInstall.sh

echo ""
echo "plexupdateInstall-Script startet"

if [[ ! -e "/opt/plexupdate/plexupdate.sh" ]]
then
     if [[ ! -e "/opt/plexupdate" ]]
     then
          echo "Verzeichnis wird erstellt: /opt/plexupdate"
          mkdir /opt/plexupdate
     fi
     echo "Datei wird heruntergeladen: plexupdate.sh"
     wget -q -P /opt/plexupdate/ --no-check-certificate https://raw.githubusercontent.com/mrworf/plexupdate/master/plexupdate.sh

     if [[ ! -e "/opt/plexupdate/plexupdate.sh" ]]
     then
          echo "Download nicht möglich. Datei verfügbar unter: https://github.com/mrworf/plexupdate"
     else
          chmod +x /opt/plexupdate/plexupdate.sh
     fi
else
     echo "Datei bereits vorhanden: /opt/plexupdate/plexupdate.sh"
fi

vorhanden="0"

while read line
do
     if [[ `echo "$line" | grep -c "0 5     \* \* \*   root    /opt/plexupdate/plexupdate.sh -a -p"` != 0 ]]
     then
          echo "/etc/crontab: Eintrag bereits vorhanden: $line"
          vorhanden="1"
          break
     fi
done < "/etc/crontab"

if [ "$vorhanden" != "1" ]
then
     echo "/etc/crontab: Eintrag wird ergänzt: 0 5     * * *   root    /opt/plexupdate/plexupdate.sh -a -p"
     echo -e "0 5     * * *   root    /opt/plexupdate/plexupdate.sh -a -p" >> /etc/crontab
fi

#echo "Neustart: cron"
#/etc/init.d/cron restart
service cron restart

if [ "$vorhanden" != "1" ]
then
     echo "PMS updated sich ab sofort immer automatisch um 5:00 Uhr"
else
     echo "PMS updated sich bereits immer automatisch um 5:00 Uhr"
fi

echo "plexupdateInstall-Script beendet"
echo ""

rm /tmp/plexupdateInstall*